﻿using System;

namespace Utilities.Math
{
    public static partial class MathMF
    {
        /// <summary>
        /// Converts degrees to radians
        /// </summary>
        /// <param name="degrees">The number of degrees</param>
        /// <returns>Radian value</returns>
        public static double ToRadians(double degrees)
        {
            return degrees * System.Math.PI / 180.0;
        }

        /// <summary>
        /// Converts radians to degrees
        /// </summary>
        /// <param name="radians">The number of radians</param>
        /// <returns>Degree value</returns>
        public static double ToDegrees(double radians)
        {
            return radians * 180.0 / System.Math.PI;
        }

        public static int ConvertHexCharToDecimal(char letter)
        {
            return Convert.ToInt32(new string(letter, 1), 16);
        }

        public static int ConvertHexStringToDecimal(string hexString)
        {
            return Convert.ToInt32(hexString, 16);
        }
    }
}